## python-arpspoof 1.1.2

=== requirements.txt ===
PythonToolsKit
scapy

=== debian/changelog ===
python-arpspoof (1.1.2-0kali2) kali-dev; urgency=medium

  * Fix tests

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 17 Jul 2024 09:22:24 +0200

python-arpspoof (1.1.2-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Arslan Masood <contact@arszilla.com>  Sun, 23 Jun 2024 17:52:05 +0300

=== debian/control ===
Source: python-arpspoof
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Arslan Masood <contact@arszilla.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-pythontoolskit,
 python3-scapy,
 python3-setuptools,
Standards-Version: 4.6.2
Homepage: https://github.com/mauricelambert/ArpSpoof
Vcs-Browser: https://gitlab.com/kalilinux/packages/arpspoof
Vcs-Git: https://gitlab.com/kalilinux/packages/arpspoof.git

Package: python3-arpspoof
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: ARP Spoofer implementation in Python
 ARP Spoofer implementation in Python for MitM (Man-In-the-Middle) or DoS
 (Denial of Service) attacks.

=== debian/rules ===
#!/usr/bin/make -f

# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME = ArpSpoof

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: arpspoof-python -h
Depends: @
Restrictions: superficial

Test-Command: for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import ArpSpoof; print(ArpSpoof)" ; done
Depends: @, python3-all
Restrictions: superficial

=== debian/watch ===
version=4
opts="mode=git, pretty=1.1.2+git%cd.%h, pgpmode=none" \
  https://github.com/mauricelambert/ArpSpoof HEAD
